Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested.html
Class NestedImageTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag
                        |
                        +--org.apache.struts.taglib.html.SubmitTag
                              |
                              +--org.apache.struts.taglib.html.ImageTag
                                    |
                                    +--org.apache.struts.taglib.nested.html.NestedImageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, NestedPropertySupport, NestedTagSupport, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class NestedImageTag
extends ImageTag
implements NestedPropertySupport

NestedMultiboxTag.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003/08/26 12:57:44 $
Author:
  Arron Bates
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `originalProperty`

Fields inherited from class org.apache.struts.taglib.html.ImageTag
`align, border, page, pageKey, property, src, srcKey`

Fields inherited from class org.apache.struts.taglib.html.SubmitTag
`messages, text, value`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, defaultLocale, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NestedImageTag()`

Method Summary
`int` | `doEndTag()` Complete the processing of the tag.
`int` | `doStartTag()` Overriding method of the heart of the matter.
`void` | `release()` Release the tag's resources and reset the values.

Methods inherited from class org.apache.struts.taglib.html.ImageTag
`getAlign, getBorder, getPage, getPageKey, getProperty, getSrc, getSrcKey, setAlign, setBorder, setPage, setPageKey, setProperty, setSrc, setSrcKey, src`

Methods inherited from class org.apache.struts.taglib.html.SubmitTag
`doAfterBody, getValue, setValue`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getIndexed, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.struts.taglib.nested.NestedPropertySupport
`getProperty, setProperty`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### originalProperty

    private java.lang.String originalProperty

Constructor Detail

### NestedImageTag

    public NestedImageTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overriding method of the heart of the matter. Gets the relative property and leaves the rest up to the original tag implementation. Sweet.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `ImageTag`
  Returns:
    int JSP continuation directive. This is in the hands of the super class.
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Complete the processing of the tag. The nested tags here will restore all the original value for the tag itself and the nesting context.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `ImageTag`
  Returns:
    int to describe the next step for the JSP processor
  Throws:
    `javax.servlet.jsp.JspException` - for the bad things JSP's do

### release

    public void release()

  Release the tag's resources and reset the values.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `ImageTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation